
/*-------------------head-------------------*/
/*#animate{
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: 2;
    display: flex;
}
#animate_iconSheel{
    width: fit-content;
    height: fit-content;
    margin:auto;
}

#animate_icon{
    width: 0;
    height: 0;
}*/

#img_mytitle{
width: 100%;
    height: 300px;
    background: url(https://images.cnblogs.com/cnblogs_com/blogs/700725/galleries/2017204/o_210902120808blog_background.jpg);
    display: flex;
    justify-content: flex-end;
}

#img_mytitle div{
    width: auto;
    height: 80px;
    line-height: 80px;
    float: right;
    margin-right: 168px;
    padding-top: 150px;
    color: white;
    display: flex;
}
@media screen and (max-width:620px){
    #img_mytitle div{
        margin-right: 0;
        margin-left: 40px;
        transform: scale(0.7);
    }
    #img_mytitle{
        justify-content: center;
    }
    #my_name{
        background-color: #4889b7;
    }
}
@media screen and (max-width:400px){
    #img_mytitle div{
        margin-right: 0;
        transform: scale(0.7);
    }
}
@media screen and (max-width:300px){
    #img_mytitle div{
        display: none;
    }
}
#img_mytitle div span:nth-child(1){
    width: auto;
    height: inherit;
    font-size: 45px;
    font-family: math;
    font-weight: 500;
    background: #57a6d3;
}

#img_mytitle div span:nth-child(2){
    width: 125px;
    height: 125px;
    border-radius: 50%;
    margin-top: -25px;
    margin-left: 45px;
    border: 5px solid white;
    transition: all 50ms ease-in;
}
#img_mytitle div span img{
    border-radius: 50%;
}

#img_mytitle div span:active{
    box-shadow: 0px 0px 16px 5px white;
    transform: scale(0.9);
}

#mytitle{
    width: 100%;
    height: 100%;
    background: #57a6d3;
    display: flex;
    justify-content: center;
}

#mytitle ul{
    width: auto;
    height: 40px;
    line-height: 40px;
    padding-left: 192px;
    text-align: center;
    font-size: 15px;
    list-style: none;
}
@media screen and (max-width:1100px){
#mytitle ul{
    padding-left: 0;
}
} /*css执行顺序为从上到下，写在后面的会覆盖前面的*/
#mytitle ul li{
    width: 100px;
    height: inherit;
    float: left;
    color:white;
    border-bottom: 5px solid transparent;
}
@media screen and (max-width:620px){
#mytitle ul li{
    width: fit-content;
    min-width: 100px;
}
}
@media screen and (max-width:500px){
#mytitle ul li{
    width: fit-content;
    min-width: 80px;
}
}
@media screen and (max-width:400px){
#mytitle ul li{
    width: fit-content;
    min-width: 60px;
}
}
@media screen and (max-width:300px){
#mytitle ul li{
    width: fit-content;
    min-width: 50px;
}
}
#mytitle ul li:hover{
    font-weight: bold;
    background: #ff88cc;
    border-bottom: 5px solid #ff88cc;
    transition: all 120ms cubic-bezier(0, 0.63, 0.58, 1);
}

#mytitle ul li a{
    color: inherit;
    text-decoration: none;
}

#mytitle_search{
    width: auto;
    height: 50px;
    margin-top: -3px;;
    float: left;
    display: flex;
    align-items: center;
}

@media screen and (max-width:1000px){
#mytitle_search{
    display: none;
}
} 

#mytitle_search div{
    width: 310px;
    height: 60%;
    background-color: #f0eef5;
    border: none;
    border-radius: 3px 0 0 3px;
    display: flex;
}
#mytitle_search div input{
    width: 300px;
    height: 100%;
    border: none;
    background-color: inherit;
    border-radius: 3px 0 0 3px;
    margin-left: 10px;
}

#mytitle_search div input:focus{
    outline: none;
}

#mytitle_search button{
    width: 50px;
    height: 60%;
    border: none;
    border-radius: 0 3px 3px 0;
    margin-left: -5px;
    color: white;
    background: #7fbedc;
}

#mytitle_search button:hover{
    background-color: #ff88cc;
}

#jumptop{
    position: fixed;
    width: 50px;
    height: 50px;
    line-height: 60px;
    text-align: center;
    font-size: 50px;
    color: white;
    background-color: #57a6d3;
    border-radius: 5px;
    margin-top: 300px;
    margin-left: 1435px;
    transition: all 150ms ease-out;
    border-radius: 50%;
    visibility: hidden;
}

#jumptop a{
    color: inherit;
}

#jumptop a:hover{
    color: inherit;
    text-decoration: none;
}

#jumptop:hover{
    background-color: #ec69b4;
}

.day{
    margin-top: 20px;
    border-radius: 10px;
    border: none;
    box-shadow: rgb(0 0 0 / 10%) 0px 15px 35px 0px, rgb(0 0 0 / 7%) 0px 3px 10px 0px;
    transition: all 150ms ease-in;
}

.day:hover{
    transform: scale(1.02);
    border: none;
}
.postSeparator{
    border:1px solid #57a6d3;
}

.day:hover .postSeparator{
    border:1px solid #57a6d3;
}

.dayTitle{
    margin-left: -32px;
    width: 100px;
    background-color: #57a6d3;
    box-shadow: 2px 2px 5px 0px rgb(200 200 200);
}

.dayTitle:before {
    content: "";
    position: relative;
    height: 0px;
    width: 0;
    border-top: 8px solid #3a7ba0;
    border-left: 12px solid transparent;
    top: 31px;
    left: -6px;
    padding: 0; 
}

.dayTitle:hover{
    background-color: #ff88cc;
    text-decoration: none;
}

.dayTitle a:hover{
    text-decoration: none;
}

.day .postTitle {
    width: 700px;
    font-size: 21px;
    line-height: 1.5em;
    float: left;
    clear: right;
}
/*-------------------head-------------------*/

/*-------------------body-------------------*/
body{
background-repeat:no-repeat;
background-size:100%;
background-attachment: fixed;
/*background-image:url("https://images.cnblogs.com/cnblogs_com/blogs/700725/galleries/2017204/o_210819111520559246.jpg");*/
}

#home{
    margin: 20px auto auto auto;
}

#mainContent {
border-radius: 10px;
flex:none;
overflow: visible;
text-overflow: ellipsis;
width: 900px;
margin-left: 100px;
max-width: none;
word-break: break-all;
order: 2;
}

#main {
    display: flex;
    max-width: 1200px;
    margin: 0 0 0 92px;
    overflow: hidden;
    clear: both;
    display: flex;
    justify-content: row;
}

@media screen and (max-width: 1200px){
    #mainContent {
        margin-left: 0;
    }
    #main {
        margin:0 0 0 20px;

    }
}

@media screen and (max-width: 900px){
    #main {
        margin:0;
    }
}

#topics{
    border: none;
}
/*侧边栏*/
#sideBar{
    flex:none;
    width: 200px;
    margin: 0;
    float: none;
    text-overflow: ellipsis;
    overflow: visible;
    word-break: break-all;
    order:1;
}
@media screen and (max-width: 1320px){
#sideBar{
        display: none;
}
}
#sidebar_search{
    display: none;
}

#sideBar ul li {
    color: #545454;
    border: none;
}
#sideBar ul li:hover{
    color: white;
    background-color: #57a6d3;
}

#sideBar ul li:last-child:hover{
    border-radius: 0 0 5px 5px;
}
.sidebar-block{
    border-radius:5px;
    box-shadow: rgb(0 0 0 / 10%) 0px 15px 35px 0px, rgb(0 0 0 / 7%) 0px 3px 10px 0px;
}
.sidebar-block h3{
    background-color: #57a6d3;
    height: 25px;
    line-height: 25px;
    text-align: center;
    border: none;
    color: #fff;
    font-size: 15px;
    font-weight: bold;
    padding: 0;
    border-radius: 5px 5px 0 0;
}

.sidebar-block ul{
    border: none;
}

.sidebar-block ul li{
    line-height: 1;
}

.sidebar-block ul li a{
    color: inherit;
}
.sidebar-block ul li a:hover {
    color: inherit;
    border-bottom: none;
}

#sidebar_news{
    display: none !important;
}

#leftcontentcontainer {
    margin-top: 0;
    width: 200px;
}

.postCon a:link {
    color: #57a6d3;
}

a.c_b_p_desc_readmore{
    color: #e475b5;
}
a.c_b_p_desc_readmore:hover{
    color: #57a6d3;
}

#mybottom{
    width: 100%;
    height: 100px;
    background-color: #292929;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

#mybottom span{
    width: auto;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 15px;
    color: #c3c3c3;
    margin-bottom: 10px;
}

.c_b_p_desc a{
    display: none;
}
.comment_textarea{
    max-width: none;
}
/*-------------------display:none list-------------------*/
.none {
      display: none;
    }
    
#header {
display: none;
}

#footer{
    display: none;
}

.postDesc :nth-child(3){
    display:none
}

.postDesc :nth-child(6){
    display:none
}

.postDesc :nth-child(7){
    display:none
}
#comment_nav{
    display: none;
}

#comment_form_container :nth-child(7){
    display: none;
}
#blog_post_info_block{
    display: none;
}
#author_profile{
    display: none;
}
#div_digg{
    display: none;
}
#blogCalendar{
    display: none;
}
#cnblogs_c1{
    display: none;
}
#opt_under_post{
    display: none;
}
#ad_t2{
    display: none;
}
#under_post_card1{
    display: none;
}
#under_post_card2{
    display: none;
}